Subject: Re: [Alacrityvm-devel] [PATCH v3 3/6] vbus: add a "vbus-proxy" bus model for vbus_driver objects

From: Avi Kivity <[email-masked]>
Date: Wed, 19 Aug 2009 19:38:31 +0300

On 08/19/2009 07:29 PM, Ira W. Snyder wrote:
>
>    
>> virtio-$yourhardware or maybe virtio-dma
>>
>>      
> How about virtio-phys?
>    

Could work.

> Arnd and BenH are both looking at PPC systems (similar to mine). Grant
> Likely is looking at talking to an processor core running on an FPGA,
> IIRC. Most of the code can be shared, very little should need to be
> board-specific, I hope.
>    

Excellent.

>>> That said, I'm not sure how qemu-system-ppc running on x86 could
>>> possibly communicate using virtio-net. This would mean the guest is an
>>> emulated big-endian PPC, while the host is a little-endian x86. I
>>> haven't actually tested this situation, so perhaps I am wrong.
>>>
>>>        
>> I'm confused now.  You don't actually have any guest, do you, so why
>> would you run qemu at all?
>>
>>      
> I do not run qemu. I am just stating a problem with virtio-net that I
> noticed. This is just so someone more knowledgeable can be aware of the
> problem.
>
>    

Ah, it certainly doesn't byteswap.  Maybe nobody tried it.  Hollis?

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.